Subject: bug#20745: I would like to make a request for the sort command

From: Pádraig Brady <[email-masked]>
Date: Fri, 05 Jun 2015 18:58:39 +0100

On 05/06/15 18:13, Silverman, Jeffrey X. -ND wrote:
> People,
> 
> I realize that the sort command must be on the order of 40 years old and is “mature” software, but I would like to make a request for enhancement anyway.  I would like the capability of adding 2 data types that can be sorted: IPv4 addresses and IPv6 addresses.  To do that, the addresses should be converted to integers of length 32 bits and 128 bits and then sorted. I’m not sure that 128 bit integers is portable, but converting to a 32 bit string with no missing zeros would suffice.
> 
> 
> If this is something that interests you, then I think I could write a preprocessor in python as a proof of concept.

This was previously discussed, and while has merit
at the time it was thought not important enough to add:

  http://www.gnu.org/software/coreutils/rejected_requests.html
    http://lists.gnu.org/archive/html/coreutils/2011-06/msg00082.html

thanks,
Pádraig.